CREATE TABLE ja_cn_account_structures (
    CODE_COMBINATION_ID      NUMBER(18, 0) ,
    STRUCTURE_SIN_ID         NUMBER(18, 0)     NOT NULL,
    ENABLED_FLAG             VARCHAR2(4)       NOT NULL,
    SUMMARY_FLAG             VARCHAR2(4)       NOT NULL,
    SEGMENT1                 VARCHAR2(240) ,
    SEGMENT2                 VARCHAR2(240) ,
    SEGMENT3                 VARCHAR2(240) ,
    SEGMENT4                 VARCHAR2(240) ,
    SEGMENT5                 VARCHAR2(240) ,
    SEGMENT6                 VARCHAR2(240) ,
    SEGMENT7                 VARCHAR2(240) ,
    SEGMENT8                 VARCHAR2(240) ,
    SEGMENT9                 VARCHAR2(240) ,
    SEGMENT10                VARCHAR2(240) ,
    SEGMENT11                VARCHAR2(240) ,
    SEGMENT12                VARCHAR2(240) ,
    SEGMENT13                VARCHAR2(240) ,
    SEGMENT14                VARCHAR2(240) ,
    SEGMENT15                VARCHAR2(240) ,
    START_DATE_ACTIVE        DATE          ,
    END_DATE_ACTIVE          DATE          ,
    ACCOUNT_STRUCTURE        VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CODE_COMBINATION_ID      NUMBER(18, 0) ,
    STRUCTURE_SIN_ID         NUMBER(18, 0)     NOT NULL,
    ENABLED_FLAG             VARCHAR2(4)       NOT NULL,
    SUMMARY_FLAG             VARCHAR2(4)       NOT NULL,
    SEGMENT1                 VARCHAR2(240) ,
    SEGMENT2                 VARCHAR2(240) ,
    SEGMENT3                 VARCHAR2(240) ,
    SEGMENT4                 VARCHAR2(240) ,
    SEGMENT5                 VARCHAR2(240) ,
    SEGMENT6                 VARCHAR2(240) ,
    SEGMENT7                 VARCHAR2(240) ,
    SEGMENT8                 VARCHAR2(240) ,
    SEGMENT9                 VARCHAR2(240) ,
    SEGMENT10                VARCHAR2(240) ,
    SEGMENT11                VARCHAR2(240) ,
    SEGMENT12                VARCHAR2(240) ,
    SEGMENT13                VARCHAR2(240) ,
    SEGMENT14                VARCHAR2(240) ,
    SEGMENT15                VARCHAR2(240) ,
    START_DATE_ACTIVE        DATE          ,
    END_DATE_ACTIVE          DATE          ,
    ACCOUNT_STRUCTURE        VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_ja_cn_account_structures PRIMARY KEY (CODE_COMBINATION_ID, CODE_COMBINATION_ID)
);
